> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Semrush (v3)

> Access the Semrush v3 API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Semrush (v3)*.
>
> **2. Authorize Semrush (v3)**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your Semrush API Key. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Semrush (v3) API**
>
> Let's make your first request to the Semrush (v3) API (get a list of projects). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl "https://api.nango.dev/proxy/management/v1/projects" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>"
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.get({
> >   // https://developer.semrush.com/api/v3/projects/projects/#list-all-existing-projects/
> >   endpoint: '/management/v1/projects',
> >   providerConfigKey: '<INTEGRATION-ID>',
> >   connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(JSON.stringify(res.data, null, 2));
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Semrush (v3) accounts.

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | Authorization | [Guide to connect to Semrush (v3) using Connect UI](https://nango.dev/docs/integrations/all/semrush/connect) |
> | General | [Semrush Website](https://www.semrush.com/) |
> | Developer | [How to generate an API key in your Semrush account](https://developer.semrush.com/api/basics/how-to-get-api/) |
> | | [Semrush API Documentation](https://developer.semrush.com/api/basics/introduction/) |
> | | [v3 API Authentication](https://developer.semrush.com/api/v3/analytics/basic-docs/#auth) |
> | | [How to get API](https://developer.semrush.com/api/basics/how-to-get-api/) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/semrush.mdx)

> [tab] 🚨 API gotchas
>
> * Semrush API is available as an add-on to the Business tier of the SEO Toolkit subscription.
>
> * API requests consume API units based on the type of data requested and API used.
>
> * There is a limit of 10 inquiries per second per unique IP address.
>
> * Semrush supports two different [API versions](https://developer.semrush.com/api/basics/introduction/#api-versions) (v3 and v4), and Nango currently supports v3.
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/semrush.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.